Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.webservices.wsdl
Class Wsdl

    java.lang.Object
      org.pentaho.di.trans.steps.webservices.wsdl.Wsdl

All Implemented Interfaces:
  Serializable

    public final class Wsdl

extends Object
implements Serializable

Wsdl abstraction.

See Also:
  Serialized Form

Constructor Summary
`Wsdl(URI wsdlURI, QName serviceQName, String portName)` Loads and parses the specified WSDL file.
`Wsdl(javax.wsdl.xml.WSDLLocator wsdlLocator, QName serviceQName, String portName)` Loads and parses the specified WSDL file.

Method Summary
`WsdlComplexTypes` | `getComplexTypes()` Get the WsdlComplexTypes instance of this wsdl.
`WsdlOperation` | `getOperation(String operationName)` Find the specified operation in the WSDL definition.
`List<WsdlOperation>` | `getOperations()` Get a list of all operations defined in this WSDL.
`String` | `getPortName()` Get the name of the current port.
`QName` | `getPortTypeQName()` Get the PortType name for the service which has been specified by serviceName and portName at construction time.
`String` | `getServiceEndpoint()` Get the service endpoint.
`String` | `getServiceName()` Get the name of this service.
`String` | `getTargetNamespace()` Get the target namespace for the WSDL.
`void` | `setPort(QName portName)` Change the port of the service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Wsdl

    public Wsdl(URI wsdlURI,
                QName serviceQName,
                String portName)

  Loads and parses the specified WSDL file.

  Parameters:
    `wsdlURI` - URI of a WSDL file.
    `serviceQName` - Name of the service in the WSDL, if null default to first service in WSDL.
    `portName` - The service port name, if null default to first port in service.

### Wsdl

    public Wsdl(javax.wsdl.xml.WSDLLocator wsdlLocator,
                QName serviceQName,
                String portName)

  Loads and parses the specified WSDL file.

  Parameters:
    `wsdlLocator` - A javax.wsdl.WSDLLocator instance.
    `serviceQName` - Name of the service in the WSDL.
    `portName` - The service port name.

Method Detail

### getComplexTypes

    public WsdlComplexTypes getComplexTypes()

  Get the WsdlComplexTypes instance of this wsdl. WsdlComplex types provides type information for named complextypes defined in the wsdl's <types> section.

  Returns:
    WsdlComplexTypes instance.

### getOperation

    public WsdlOperation getOperation(String operationName)

  Find the specified operation in the WSDL definition.

  Parameters:
    `operationName` - Name of operation to find.
  Returns:
    A WsdlOperation instance, null if operation can not be found in WSDL.

### getOperations

    public List<WsdlOperation> getOperations()

  Get a list of all operations defined in this WSDL.

  Returns:
    List of WsdlOperations.

### getPortName

    public String getPortName()

  Get the name of the current port.

  Returns:
    Name of the current port.

### getPortTypeQName

    public QName getPortTypeQName()

  Get the PortType name for the service which has been specified by serviceName and portName at construction time.

  Returns:
    QName of the PortType.

### getServiceEndpoint

    public String getServiceEndpoint()

  Get the service endpoint.

  Returns:
    String containing the service endpoint.

### getServiceName

    public String getServiceName()

  Get the name of this service.

  Returns:
    Service name.

### getTargetNamespace

    public String getTargetNamespace()

  Get the target namespace for the WSDL.

  Returns:
    The targetNamespace

### setPort

    public void setPort(QName portName)

  Change the port of the service.

  Parameters:
    `portName` - The new port name.
  Throws:
    `IllegalArgumentException` - if port name is not defined in WSDL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD